/* OK teste le 10/06/2011 sur 64MC802 								*/
/* ATTENTION: adapter InitClock2() choix quartz- choix TCy			*/
/* ATTENTION: adapter InitPORT_AND_PIN() en fct de votre cablage	*/

#include <p33FJ64MC802.h>
#include <stdio.h>
#include <timer.h>
#include <uart.h>
#include "../../drivers/delay.h"
#include "../../drivers/drvUART.h"

#define FCY (80000000/2)
#define BAUDRATE 9600
#define BRGVAL ((FCY/BAUDRATE)/16) - 1

//config oscillateur
_FOSCSEL(FNOSC_PRIPLL);								// Choix du oscillateur + PLL
_FOSC(FCKSM_CSDCMD & OSCIOFNC_OFF  & POSCMD_XT);	// Pas de basculement d'horloge
													// pas de OSC2
													// type d'oscillateur XT
_FWDT(FWDTEN_OFF); // watchdog off;





unsigned char BUFF[50]={'i','u','t','\r','\n','\0'};

int main (void)

{	char c=0;

	InitClockNoSwitch() ; //init oscillateur

	InitPORT_AND_PIN(); // init broche remapable
	InitUART1(); // init broche remapable

	// exemple 1 : appel à la fct  UART_puts
	//passage du tableau à envoyer
	UART_puts(BUFF);
	///////////////////////////


	for (;;)
	{
		
		if(_U1RXIF == 1)
		{
			PORTBbits.RB0=!PORTBbits.RB0; 
			c = U1RXREG;
			_U1RXIF=0;
			while(U1STAbits.UTXBF); //attend buffer vide
			U1TXREG=c ;				// ECHO pour debug
		}
	
	}
}
